/* Sistemas Integrados TECNISA
   Planejamento Alimentao Industrial

Nome: 7778_PLATMPO_CORRIGE_CARDAPIO

Descrio:
   * ***********************************************************************************
   * CORRECAO DE INCONSISTENCIAS NA BASE DE DADOS DOS MDULOS
   * - PLA e PAH - TABELAS CARDADIA e COMPCARD.
   * ***********************************************************************************
Criao: Dmaso 28/01/2004
Insero da chamada do script no programa de cardpio: 01/07/2004

*/
CREATE OR REPLACE PROCEDURE CORRIGE_CONFIG_CARD
(P_CDFILIAL   IN VARCHAR2,
 P_CDSERVFILI IN VARCHAR2,
 P_DTMESCARD  IN DATE)
IS
   V_CONTADOR NUMBER;
   V_RESULT   NUMBER;
BEGIN
   /* ATUALIZA REGISTROS COM NRORDCNFMES NULL */
   UPDATE CONFCARD
   SET NRORDCNFCARD = NRSEQCNFCARD
   WHERE
      CDFILIAL     = P_CDFILIAL   AND
      CDSERVFILI   = P_CDSERVFILI AND
      NRORDCNFCARD IS NULL;

   UPDATE CNFCAMES
   SET NRORDCNFMES = NRSEQCNFMES
   WHERE
      CDFILIAL     = P_CDFILIAL   AND
      CDSERVFILI   = P_CDSERVFILI AND
      DTREFECNFMES = P_DTMESCARD  AND
      NRORDCNFMES IS NULL;

   COMMIT;

   /* Procura por pratos que perderam a referncia da CNFCAMES */
   /* Procedimento: EXCLUIR REGISTRO DA COMPCARD */
   V_RESULT := 0;
   SELECT
      COUNT(*)
   INTO V_RESULT
   FROM CNFCAMES
   WHERE
       CDFILIAL   = P_CDFILIAL   AND
       CDSERVFILI = P_CDSERVFILI AND
       DTREFECNFMES  = P_DTMESCARD;

   IF V_RESULT <> 0 THEN
      V_CONTADOR := 0;
      FOR C_CONFIG IN
      (SELECT C.CDFILIAL, C.NRCARDAPIO, C.NRSEQPRATCAR
       FROM
          COMPCARD C,
          CARDADIA D
       WHERE
          D.CDFILIAL   = P_CDFILIAL   AND
          D.CDSERVFILI = P_CDSERVFILI AND
          D.DTMESCARD  = P_DTMESCARD  AND
          C.CDFILIAL   = D.CDFILIAL   AND
          C.NRCARDAPIO = D.NRCARDAPIO AND
          NOT EXISTS
          (SELECT *
           FROM
              CNFCAMES
           WHERE
              CDFILIAL     = D.CDFILIAL   AND
              CDSERVFILI   = D.CDSERVFILI AND
              DTREFECNFMES = D.DTMESCARD  AND
              NRSEQCNFMES  = C.NRSEQPRATCAR)) LOOP

         DELETE FROM COMPCARD
         WHERE CDFILIAL     = C_CONFIG.CDFILIAL   AND
               NRCARDAPIO   = C_CONFIG.NRCARDAPIO AND
               NRSEQPRATCAR = C_CONFIG.NRSEQPRATCAR;

         V_CONTADOR := V_CONTADOR +1;
         IF (V_CONTADOR = 500) THEN
            COMMIT;
            V_CONTADOR := 0;
         END IF;
      END LOOP;
   END IF;
   /* Procura por pratos cujos campos NRORDPRATCAR e CDTIPOPRAT no tenham correspondentes na CNFCAMES */
   /* Procedimento: ATUALIZAR o NRORDPRATCAR e CDTIPOPRAT dos pratos */
   V_CONTADOR := 0;
   FOR C_PRATOS IN
   (SELECT C.CDFILIAL, C.NRCARDAPIO, F.NRSEQCNFMES, F.NRORDCNFMES, F.CDTIPOPRAT
    FROM COMPCARD C, CNFCAMES F, CARDADIA B
    WHERE
       B.CDFILIAL     = P_CDFILIAL     AND
       B.CDSERVFILI   = P_CDSERVFILI   AND
       B.DTMESCARD    = P_DTMESCARD    AND
       C.CDFILIAL     = B.CDFILIAL     AND
       C.NRCARDAPIO   = B.NRCARDAPIO   AND
       F.CDFILIAL     = B.CDFILIAL     AND
       F.CDSERVFILI   = B.CDSERVFILI   AND
       F.DTREFECNFMES = B.DTMESCARD    AND
       F.NRSEQCNFMES  = C.NRSEQPRATCAR AND
       (F.NRORDCNFMES <> C.NRORDPRATCAR OR F.CDTIPOPRAT <> C.CDTIPOPRAT)) LOOP

       UPDATE COMPCARD
       SET NRORDPRATCAR = C_PRATOS.NRORDCNFMES,
           CDTIPOPRAT = C_PRATOS.CDTIPOPRAT
       WHERE
          CDFILIAL     = C_PRATOS.CDFILIAL   AND
          NRCARDAPIO   = C_PRATOS.NRCARDAPIO AND
          NRSEQPRATCAR = C_PRATOS.NRSEQCNFMES;

      V_CONTADOR := V_CONTADOR +1;
      IF (V_CONTADOR = 500) THEN
         COMMIT;
         V_CONTADOR := 0;
      END IF;
   END LOOP;
END;
/