/*******************************************************************************/
/****                          DOC.FISCAIS/ESTOQUE                          ****/
/*******************************************************************************/
/*Criao:                                                                  ****/
/*   10/03/2004 - Roberto A. Lopes Martins                                  ****/
/*******************************************************************************/
/* Tabelas - PARAMFILIAL, PARAMGERAL, PARAMESTOQUE, PRODFILI, NOTAFISCAL,   ****/
/*             ITEMPRODUTO, ALIQUOTA, INCIDENCIA, CODFISCOPER, CODSITUTRIB, ****/
/*             ITLANCTOEST, ERROAVISONF, IMPOSTO, BASECALC                  ****/
/*******************************************************************************/

/* Tabela PARAMFILIAL: Parmetros da Filial */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela PARAMFILIAL */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Parmetros da Filial, utilizando a tabela Geral de Logs de Operaes */

IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_EST_PARAMFILIAL' AND
                 TYPE   = 'TR' 	               AND
	              U.UID  = O.UID                 AND
	              U.NAME = USER)
DROP TRIGGER LOG_EST_PARAMFILIAL
GO


CREATE TRIGGER LOG_EST_PARAMFILIAL
ON PARAMFILIAL
FOR INSERT, UPDATE, DELETE
AS

   DECLARE  @V_USUARIO      VARCHAR(40);
   DECLARE  @V_TIPO         VARCHAR(1);
   DECLARE  @V_ITPESQ       VARCHAR(40);
   DECLARE  @V_DESC         VARCHAR(1500);
   DECLARE  @V_CDFILLOGOPER VARCHAR(4);
   DECLARE  @V_DTOPER       DATETIME;
   DECLARE  @V_DSREMOTEADDR VARCHAR(15);
   DECLARE  @V_DSREMOTEHOST VARCHAR(15);
   DECLARE  @V_DSSERVERRDM  VARCHAR(20);
   DECLARE  @V_DSSERVMETHOD VARCHAR(30);
   DECLARE  @V_DSREMOTEOPER VARCHAR(12);

   /*VARIVEIS DO CURSOR C_CURSOR*/

   DECLARE  @V_ID_COMANDO       VARCHAR(1);

   DECLARE  @V_OLD_DTPROCESSA   DATETIME;
   DECLARE  @V_OLD_IDCTRLESTQ   VARCHAR(1);
   DECLARE  @V_OLD_IDESTONLINE  VARCHAR(1);
   DECLARE  @V_OLD_IDPERMESTNEG VARCHAR(1);
   DECLARE  @V_OLD_IDORDIMPLANT VARCHAR(1);
   DECLARE  @V_OLD_IDORDAJUINVE VARCHAR(1);
   DECLARE  @V_OLD_IDTCUSNFROMA VARCHAR(1);
   DECLARE  @V_OLD_IDUTILALMOX  VARCHAR(1);
   DECLARE  @V_OLD_IDUTILLCESTQ VARCHAR(1);
   DECLARE  @V_OLD_IDUTILLOTE   VARCHAR(1);
   DECLARE  @V_OLD_CDTIPCUSTEST VARCHAR(2);
   DECLARE  @V_OLD_NRTAMNUMNFUT NUMERIC(11);
   DECLARE  @V_OLD_IDUTILALLONF VARCHAR(1);
   DECLARE  @V_OLD_DSPARFILFIS  VARCHAR(30);
   DECLARE  @V_OLD_IDPERFORNECO VARCHAR(1);
   DECLARE  @V_OLD_CDFILIAL     VARCHAR(4);
   DECLARE  @V_OLD_CDCONFORNFI  VARCHAR(20);
   DECLARE  @V_OLD_CDCONCLIEFI  VARCHAR(20);
   DECLARE  @V_OLD_CDCONTDIFEFI VARCHAR(20);
   DECLARE  @V_OLD_CDCTBLPERDFI VARCHAR(20);
   DECLARE  @V_OLD_CDGRUPOFISC  VARCHAR(4);
   DECLARE  @V_OLD_IDPERPROINAT VARCHAR(1);
   DECLARE  @V_OLD_CDSERVBAIESTCEG varchar(5);
   DECLARE  @V_OLD_IDINVESTCEGO varchar(1);
   DECLARE  @V_OLD_CDTPRETBXESTCEG varchar(2);
   DECLARE  @V_OLD_IDCONDESBONFORN varchar(1);
   DECLARE  @V_OLD_IDPARAMEMISREFI VARCHAR (1);
   DECLARE  @V_OLD_IDUTBLOQOPAFPF VARCHAR(1);
   DECLARE  @V_OLD_IDBLOQCMPSAFFIL VARCHAR(1);
   DECLARE  @V_OLD_NRMAXDIAANTDTAF VARCHAR (4);
   DECLARE  @V_OLD_NRTAMNUMNFUTDFE VARCHAR (4);
   DECLARE  @V_OLD_NRMAXDIAPOSDTAF VARCHAR (4);
   DECLARE  @V_OLD_CDREDUCONTPAG   VARCHAR (3);
   DECLARE  @V_OLD_CDTPBAIXAPAG    VARCHAR (2);
   DECLARE  @V_OLD_IDUTCTRLFIS     VARCHAR (1);
   DECLARE  @V_OLD_IDUTCTRLFISENTR VARCHAR(1);
   DECLARE  @V_OLD_IDUTCTRLFISSAID VARCHAR(1);
   DECLARE  @V_OLD_IDCANCEXTMPNFE  VARCHAR(1);
   DECLARE  @V_OLD_IDUTLIBERANF    VARCHAR(1);
   DECLARE  @V_OLD_IDENTRUNILOTE   VARCHAR(1);
   DECLARE  @V_OLD_IDINFLOTFOREMI  VARCHAR(1);
   DECLARE  @V_OLD_IDUTCDEXTPRONF  VARCHAR(1);

   DECLARE  @V_NEW_DTPROCESSA   DATETIME;
   DECLARE  @V_NEW_IDCTRLESTQ   VARCHAR(1);
   DECLARE  @V_NEW_IDESTONLINE  VARCHAR(1);
   DECLARE  @V_NEW_IDPERMESTNEG VARCHAR(1);
   DECLARE  @V_NEW_IDORDIMPLANT VARCHAR(1);
   DECLARE  @V_NEW_IDORDAJUINVE VARCHAR(1);
   DECLARE  @V_NEW_IDTCUSNFROMA VARCHAR(1);
   DECLARE  @V_NEW_IDUTILALMOX  VARCHAR(1);
   DECLARE  @V_NEW_IDUTILLCESTQ VARCHAR(1);
   DECLARE  @V_NEW_IDUTILLOTE   VARCHAR(1);
   DECLARE  @V_NEW_CDTIPCUSTEST VARCHAR(2);
   DECLARE  @V_NEW_NRTAMNUMNFUT NUMERIC(11);
   DECLARE  @V_NEW_IDUTILALLONF VARCHAR(1);
   DECLARE  @V_NEW_DSPARFILFIS  VARCHAR(30);
   DECLARE  @V_NEW_IDPERFORNECO VARCHAR(1);
   DECLARE  @V_NEW_CDFILIAL     VARCHAR(4);
   DECLARE  @V_NEW_CDCONFORNFI  VARCHAR(20);
   DECLARE  @V_NEW_CDCONCLIEFI  VARCHAR(20);
   DECLARE  @V_NEW_CDCONTDIFEFI VARCHAR(20);
   DECLARE  @V_NEW_CDCTBLPERDFI VARCHAR(20);
   DECLARE  @V_NEW_CDGRUPOFISC  VARCHAR(4);
   DECLARE  @V_NEW_IDPERPROINAT VARCHAR(1);
   DECLARE  @V_NEW_CDSERVBAIESTCEG varchar(5);
   DECLARE  @V_NEW_IDINVESTCEGO varchar(1);
   DECLARE  @V_NEW_CDTPRETBXESTCEG varchar(2);
   DECLARE  @V_NEW_IDCONDESBONFORN varchar(1);
   DECLARE  @V_NEW_IDPARAMEMISREFI VARCHAR (1);
   DECLARE  @V_NEW_IDUTBLOQOPAFPF VARCHAR (1);
   DECLARE  @V_NEW_IDBLOQCMPSAFFIL VARCHAR (1);
   DECLARE  @V_NEW_NRMAXDIAANTDTAF VARCHAR (4);
   DECLARE  @V_NEW_NRTAMNUMNFUTDFE VARCHAR(4);
   DECLARE  @V_NEW_NRMAXDIAPOSDTAF VARCHAR (4);
   DECLARE  @V_NEW_CDREDUCONTPAG   VARCHAR (3);
   DECLARE  @V_NEW_CDTPBAIXAPAG    VARCHAR (2);
   DECLARE  @V_NEW_IDUTCTRLFIS     VARCHAR (1);
   DECLARE  @V_NEW_IDUTCTRLFISENTR VARCHAR(1);
   DECLARE  @V_NEW_IDUTCTRLFISSAID VARCHAR(1);
   DECLARE  @V_NEW_IDCANCEXTMPNFE VARCHAR(1);
   DECLARE  @V_NEW_IDENTRUNILOTE  VARCHAR(1);

   DECLARE  @V_OLD_IDENTRSEQLOTE VARCHAR(1);
   DECLARE  @V_NEW_IDENTRSEQLOTE VARCHAR(1);
   DECLARE  @V_OLD_IDENTRAUTLOTE VARCHAR(1);
   DECLARE  @V_NEW_IDENTRAUTLOTE VARCHAR(1);
   DECLARE  @V_NEW_IDUTLIBERANF  VARCHAR(1);
   
   DECLARE  @V_NEW_IDBLOQESTNEG   VARCHAR(1);
   DECLARE  @V_NEW_IDBLOFERTNEV   VARCHAR(1);
   DECLARE  @V_NEW_IDBLFECHSNFE   VARCHAR(1);
   DECLARE  @V_NEW_IDBLOFECHMES   VARCHAR(1);
   DECLARE  @V_NEW_IDCONSDIAUTFEC VARCHAR(1);
   DECLARE  @V_NEW_IDINFLOTFOREMI VARCHAR(1);
   DECLARE  @V_NEW_IDUTCDEXTPRONF VARCHAR(1);
   DECLARE  @V_OLD_IDBLOQESTNEG   VARCHAR(1);
   DECLARE  @V_OLD_IDBLOFERTNEV   VARCHAR(1);
   DECLARE  @V_OLD_IDBLFECHSNFE   VARCHAR(1);
   DECLARE  @V_OLD_IDBLOFECHMES   VARCHAR(1);
   DECLARE  @V_OLD_IDCONSDIAUTFEC VARCHAR(1);
   
BEGIN
   SET @V_TIPO         = '0';
   SET @V_DESC         = '';
   SET @V_CDFILLOGOPER = '';

   EXEC NMUSUARIO  @P_NMUSUARIO    = @V_USUARIO OUTPUT;
   EXEC WEBTUNNING @P_DSREMOTEADDR = @V_DSREMOTEADDR OUTPUT,
                   @P_DSREMOTEHOST = @V_DSREMOTEHOST OUTPUT,
                   @P_DSSERVERRDM  = @V_DSSERVERRDM  OUTPUT,
                   @P_DSSERVMETHOD = @V_DSSERVMETHOD OUTPUT,
                   @P_DSREMOTEOPER = @V_DSREMOTEOPER OUTPUT;
   SET @V_USUARIO = ISNULL(@V_USUARIO, ' ');

   DECLARE C_CURSOR CURSOR FOR
   SELECT
     'D' IDCOMANDO,
         DTPROCESSA,
         IDCTRLESTQ,
         IDESTONLINE,
         IDPERMESTNEG,
         IDORDIMPLANT,
         IDORDAJUINVE,
         IDTCUSNFROMA,
         IDUTILALMOX,
         IDUTILLCESTQ,
         IDUTILLOTE,
         CDTIPCUSTEST,
         NRTAMNUMNFUT,
         IDUTILALLONF,
         DSPARFILFIS,
         IDPERFORNECO,
         CDFILIAL,
         CDCONFORNFI,
         CDCONCLIEFI,
         CDCONTDIFEFI,
         CDCTBLPERDFI,
         CDGRUPOFISC,
         IDPERPROINAT,
         IDENTRSEQLOTE,
         IDENTRAUTLOTE,
         CDSERVBAIESTCEG,
         IDINVESTCEGO,
         CDTPRETBXESTCEG,
         IDCONDESBONFORN,
         IDPARAMEMISREFI,
         IDUTBLOQOPAFPF,
         IDBLOQCMPSAFFIL,
         NRMAXDIAANTDTAF,
         NRTAMNUMNFUTDFE,
         NRMAXDIAPOSDTAF,
	      CDREDUCONTPAG,
         CDTPBAIXAPAG,
	      IDUTCTRLFIS,
         IDUTCTRLFISENTR,
         IDUTCTRLFISSAID,
         IDCANCEXTMPNFE,
         IDUTLIBERANF,
         SUBSTRING(DSPARFILFIS,4,1),
         IDBLOFERTNEV,
         IDBLFECHSNFE,
         IDBLOFECHMES,
         IDCONSDIAUTFEC,
         IDENTRUNILOTE,
         IDINFLOTFOREMI,
         IDUTCDEXTPRONF,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL
   FROM
       DELETED
   WHERE 0 = (SELECT COUNT(*) FROM INSERTED)

   UNION ALL

   SELECT
     'I' IDCOMANDO,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         DTPROCESSA,
         IDCTRLESTQ,
         IDESTONLINE,
         IDPERMESTNEG,
         IDORDIMPLANT,
         IDORDAJUINVE,
         IDTCUSNFROMA,
         IDUTILALMOX,
         IDUTILLCESTQ,
         IDUTILLOTE,
         CDTIPCUSTEST,
         NRTAMNUMNFUT,
         IDUTILALLONF,
         DSPARFILFIS,
         IDPERFORNECO,
         CDFILIAL,
         CDCONFORNFI,
         CDCONCLIEFI,
         CDCONTDIFEFI,
         CDCTBLPERDFI,
         CDGRUPOFISC,
         IDPERPROINAT,
         IDENTRSEQLOTE,
         IDENTRAUTLOTE,
         CDSERVBAIESTCEG,
         IDINVESTCEGO,
         CDTPRETBXESTCEG,
         IDCONDESBONFORN,
         IDPARAMEMISREFI,
         IDUTBLOQOPAFPF,
         IDBLOQCMPSAFFIL,
         NRMAXDIAANTDTAF,
         NRTAMNUMNFUTDFE,
         NRMAXDIAPOSDTAF,
	      CDREDUCONTPAG,
         CDTPBAIXAPAG,
	      IDUTCTRLFIS,
         IDUTCTRLFISENTR,
         IDUTCTRLFISSAID,
         IDCANCEXTMPNFE,
         IDUTLIBERANF,
         SUBSTRING(DSPARFILFIS,4,1),
         IDBLOFERTNEV,
         IDBLFECHSNFE,
         IDBLOFECHMES,
         IDCONSDIAUTFEC,
         IDENTRUNILOTE,
         IDINFLOTFOREMI,
         IDUTCDEXTPRONF
   FROM
       INSERTED
   WHERE 0 = (SELECT COUNT(*) FROM DELETED)

   UNION ALL

   SELECT
     'U' IDCOMANDO,
         DELETED.DTPROCESSA,
         DELETED.IDCTRLESTQ,
         DELETED.IDESTONLINE,
         DELETED.IDPERMESTNEG,
         DELETED.IDORDIMPLANT,
         DELETED.IDORDAJUINVE,
         DELETED.IDTCUSNFROMA,
         DELETED.IDUTILALMOX,
         DELETED.IDUTILLCESTQ,
         DELETED.IDUTILLOTE,
         DELETED.CDTIPCUSTEST,
         DELETED.NRTAMNUMNFUT,
         DELETED.IDUTILALLONF,
         DELETED.DSPARFILFIS,
         DELETED.IDPERFORNECO,
         DELETED.CDFILIAL,
         DELETED.CDCONFORNFI,
         DELETED.CDCONCLIEFI,
         DELETED.CDCONTDIFEFI,
         DELETED.CDCTBLPERDFI,
         DELETED.CDGRUPOFISC,
         DELETED.IDPERPROINAT,
         DELETED.IDENTRSEQLOTE,
         DELETED.IDENTRAUTLOTE,
         DELETED.CDSERVBAIESTCEG,
         DELETED.IDINVESTCEGO,
         DELETED.CDTPRETBXESTCEG,
         DELETED.IDCONDESBONFORN,
         DELETED.IDPARAMEMISREFI,
         DELETED.IDUTBLOQOPAFPF,
         DELETED.IDBLOQCMPSAFFIL,
         DELETED.NRMAXDIAANTDTAF,
         DELETED.NRTAMNUMNFUTDFE,
         DELETED.NRMAXDIAPOSDTAF,
         DELETED.CDREDUCONTPAG,
         DELETED.CDTPBAIXAPAG,
         DELETED.IDUTCTRLFIS,
         DELETED.IDUTCTRLFISENTR,
         DELETED.IDUTCTRLFISSAID,
         DELETED.IDCANCEXTMPNFE,
         DELETED.IDUTLIBERANF,
         SUBSTRING(DELETED.DSPARFILFIS,4,1),
         DELETED.IDBLOFERTNEV,
         DELETED.IDBLFECHSNFE,
         DELETED.IDBLOFECHMES,
         DELETED.IDCONSDIAUTFEC,
         DELETED.IDENTRUNILOTE,
         DELETED.IDINFLOTFOREMI,
         DELETED.IDUTCDEXTPRONF,
         INSERTED.DTPROCESSA,
         INSERTED.IDCTRLESTQ,
         INSERTED.IDESTONLINE,
         INSERTED.IDPERMESTNEG,
         INSERTED.IDORDIMPLANT,
         INSERTED.IDORDAJUINVE,
         INSERTED.IDTCUSNFROMA,
         INSERTED.IDUTILALMOX,
         INSERTED.IDUTILLCESTQ,
         INSERTED.IDUTILLOTE,
         INSERTED.CDTIPCUSTEST,
         INSERTED.NRTAMNUMNFUT,
         INSERTED.IDUTILALLONF,
         INSERTED.DSPARFILFIS,
         INSERTED.IDPERFORNECO,
         INSERTED.CDFILIAL,
         INSERTED.CDCONFORNFI,
         INSERTED.CDCONCLIEFI,
         INSERTED.CDCONTDIFEFI,
         INSERTED.CDCTBLPERDFI,
         INSERTED.CDGRUPOFISC,
         INSERTED.IDPERPROINAT,
         INSERTED.IDENTRSEQLOTE,
         INSERTED.IDENTRAUTLOTE,
         INSERTED.CDSERVBAIESTCEG,
         INSERTED.IDINVESTCEGO,
         INSERTED.CDTPRETBXESTCEG,
         INSERTED.IDCONDESBONFORN,
         INSERTED.IDPARAMEMISREFI,
         INSERTED.IDUTBLOQOPAFPF,
         INSERTED.IDBLOQCMPSAFFIL,
         INSERTED.NRMAXDIAANTDTAF,
         INSERTED.NRTAMNUMNFUTDFE,
         INSERTED.NRMAXDIAPOSDTAF,
         INSERTED.CDREDUCONTPAG,
         INSERTED.CDTPBAIXAPAG,
         INSERTED.IDUTCTRLFIS,
         INSERTED.IDUTCTRLFISENTR,
         INSERTED.IDUTCTRLFISSAID,
         INSERTED.IDCANCEXTMPNFE,
         INSERTED.IDUTLIBERANF,
         SUBSTRING(INSERTED.DSPARFILFIS,4,1),
         INSERTED.IDBLOFERTNEV,
         INSERTED.IDBLFECHSNFE,
         INSERTED.IDBLOFECHMES,
         INSERTED.IDCONSDIAUTFEC,
         INSERTED.IDENTRUNILOTE,
         INSERTED.IDINFLOTFOREMI,
         INSERTED.IDUTCDEXTPRONF
   FROM
       DELETED,
       INSERTED
   WHERE
      INSERTED.CDFILIAL  = DELETED.CDFILIAL

   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                 @V_OLD_DTPROCESSA,
                                 @V_OLD_IDCTRLESTQ,
                                 @V_OLD_IDESTONLINE,
                                 @V_OLD_IDPERMESTNEG,
                                 @V_OLD_IDORDIMPLANT,
                                 @V_OLD_IDORDAJUINVE,
                                 @V_OLD_IDTCUSNFROMA,
                                 @V_OLD_IDUTILALMOX,
                                 @V_OLD_IDUTILLCESTQ,
                                 @V_OLD_IDUTILLOTE,
                                 @V_OLD_CDTIPCUSTEST,
                                 @V_OLD_NRTAMNUMNFUT,
                                 @V_OLD_IDUTILALLONF,
                                 @V_OLD_DSPARFILFIS,
                                 @V_OLD_IDPERFORNECO,
                                 @V_OLD_CDFILIAL,
                                 @V_OLD_CDCONFORNFI,
                                 @V_OLD_CDCONCLIEFI,
                                 @V_OLD_CDCONTDIFEFI,
                                 @V_OLD_CDCTBLPERDFI,
                                 @V_OLD_CDGRUPOFISC,
                                 @V_OLD_IDPERPROINAT,
                                 @V_OLD_IDENTRSEQLOTE,
                                 @V_OLD_IDENTRAUTLOTE,
                                 @V_OLD_CDSERVBAIESTCEG,
                                 @V_OLD_IDINVESTCEGO,
                                 @V_OLD_CDTPRETBXESTCEG,
                                 @V_OLD_IDCONDESBONFORN,
                                 @V_OLD_IDPARAMEMISREFI,
                                 @V_OLD_IDUTBLOQOPAFPF,
                                 @V_OLD_IDBLOQCMPSAFFIL,
                                 @V_OLD_NRMAXDIAANTDTAF,
                                 @V_OLD_NRTAMNUMNFUTDFE,
                                 @V_OLD_NRMAXDIAPOSDTAF,
                                 @V_OLD_CDREDUCONTPAG,
                                 @V_OLD_CDTPBAIXAPAG,
                                 @V_OLD_IDUTCTRLFIS,
                                 @V_OLD_IDUTCTRLFISENTR,
                                 @V_OLD_IDUTCTRLFISSAID,
                                 @V_OLD_IDCANCEXTMPNFE,
                                 @V_OLD_IDUTLIBERANF,
                                 @V_OLD_IDBLOQESTNEG,
                                 @V_OLD_IDBLOFERTNEV,
                                 @V_OLD_IDBLFECHSNFE,
                                 @V_OLD_IDBLOFECHMES,
                                 @V_OLD_IDCONSDIAUTFEC,
                                 @V_OLD_IDENTRUNILOTE,
                                 @V_OLD_IDINFLOTFOREMI,
                                 @V_OLD_IDUTCDEXTPRONF,
                                 @V_NEW_DTPROCESSA,
                                 @V_NEW_IDCTRLESTQ,
                                 @V_NEW_IDESTONLINE,
                                 @V_NEW_IDPERMESTNEG,
                                 @V_NEW_IDORDIMPLANT,
                                 @V_NEW_IDORDAJUINVE,
                                 @V_NEW_IDTCUSNFROMA,
                                 @V_NEW_IDUTILALMOX,
                                 @V_NEW_IDUTILLCESTQ,
                                 @V_NEW_IDUTILLOTE,
                                 @V_NEW_CDTIPCUSTEST,
                                 @V_NEW_NRTAMNUMNFUT,
                                 @V_NEW_IDUTILALLONF,
                                 @V_NEW_DSPARFILFIS,
                                 @V_NEW_IDPERFORNECO,
                                 @V_NEW_CDFILIAL,
                                 @V_NEW_CDCONFORNFI,
                                 @V_NEW_CDCONCLIEFI,
                                 @V_NEW_CDCONTDIFEFI,
                                 @V_NEW_CDCTBLPERDFI,
                                 @V_NEW_CDGRUPOFISC,
                                 @V_NEW_IDPERPROINAT,
                                 @V_NEW_IDENTRSEQLOTE,
                                 @V_NEW_IDENTRAUTLOTE,
                                 @V_NEW_CDSERVBAIESTCEG,
                                 @V_NEW_IDINVESTCEGO,
                                 @V_NEW_CDTPRETBXESTCEG,
                                 @V_NEW_IDCONDESBONFORN,
                                 @V_NEW_IDPARAMEMISREFI,
                                 @V_NEW_IDUTBLOQOPAFPF,
                                 @V_NEW_IDBLOQCMPSAFFIL,
                                 @V_NEW_NRMAXDIAANTDTAF,
                                 @V_NEW_NRTAMNUMNFUTDFE,
                                 @V_NEW_NRMAXDIAPOSDTAF,
                                 @V_NEW_CDREDUCONTPAG,
                                 @V_NEW_CDTPBAIXAPAG,
                                 @V_NEW_IDUTCTRLFIS,
                                 @V_NEW_IDUTCTRLFISENTR,
                                 @V_NEW_IDUTCTRLFISSAID,
                                 @V_NEW_IDCANCEXTMPNFE,
                                 @V_NEW_IDUTLIBERANF,
                                 @V_NEW_IDBLOQESTNEG,
                                 @V_NEW_IDBLOFERTNEV,
                                 @V_NEW_IDBLFECHSNFE,
                                 @V_NEW_IDBLOFECHMES,
                                 @V_NEW_IDCONSDIAUTFEC,
                                 @V_NEW_IDENTRUNILOTE,
                                 @V_NEW_IDINFLOTFOREMI,
                                 @V_NEW_IDUTCDEXTPRONF;

   WHILE (@@FETCH_STATUS = 0) BEGIN
      IF @V_ID_COMANDO = 'D' BEGIN
         IF @V_OLD_DTPROCESSA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'DtProc=' + CONVERT(VARCHAR, @V_OLD_DTPROCESSA, 103);
         END;

         IF @V_OLD_IDCTRLESTQ IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CtrEst=' + @V_OLD_IDCTRLESTQ;
         END;

         IF @V_OLD_IDESTONLINE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' EstOnL=' + @V_OLD_IDESTONLINE;
         END;

         IF @V_OLD_IDPERMESTNEG IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' EstNeg=' +  @V_OLD_IDPERMESTNEG;
         END;

         IF @V_OLD_IDORDIMPLANT IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' OrdImp=' + @V_OLD_IDORDIMPLANT;
         END;

         IF @V_OLD_IDORDAJUINVE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' OrdAju=' + @V_OLD_IDORDAJUINVE;
         END;

         IF @V_OLD_IDTCUSNFROMA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CustSa=' + @V_OLD_IDTCUSNFROMA;
         END;

         IF @V_OLD_IDUTILALMOX IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtAlmo=' + @V_OLD_IDUTILALMOX;
         END;

         IF @V_OLD_IDUTILLCESTQ IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtLoca=' + @V_OLD_IDUTILLCESTQ;
         END;

         IF @V_OLD_IDUTILLOTE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtLote=' + @V_OLD_IDUTILLOTE;
         END;

         IF @V_OLD_CDTIPCUSTEST IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TipoCustEst=' + @V_OLD_CDTIPCUSTEST;
         END;

         IF @V_OLD_NRTAMNUMNFUT IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TamNumNF=' + @V_OLD_NRTAMNUMNFUT;
         END;

         IF @V_OLD_IDUTILALLONF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilAlLocNF=' + @V_OLD_IDUTILALLONF;
         END;

         IF SUBSTRING(@V_OLD_DSPARFILFIS,2,1) IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BloqNFAF=' + SUBSTRING(@V_OLD_DSPARFILFIS,2,1);
         END;

         IF SUBSTRING(@V_OLD_DSPARFILFIS,1,1) IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' VerProdDifAF=' + SUBSTRING(@V_OLD_DSPARFILFIS,1,1);
         END;

         IF @V_OLD_IDPERFORNECO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PermEntrForsemPermCompVend=' + @V_OLD_IDPERFORNECO;
         END;

         IF @V_OLD_CDFILIAL IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Cod=' + @V_OLD_CDFILIAL;
         END;

         IF @V_OLD_CDCONFORNFI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Fornecedor=' + @V_OLD_CDCONFORNFI;
         END;

         IF @V_OLD_CDCONCLIEFI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Cliente=' + @V_OLD_CDCONCLIEFI;
         END;

         IF @V_OLD_CDCONTDIFEFI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' VendDif=' + @V_OLD_CDCONTDIFEFI ;
         END;

         IF @V_OLD_CDCTBLPERDFI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' LucPer=' + @V_OLD_CDCTBLPERDFI;
         END;

         IF @V_OLD_CDGRUPOFISC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GrupoFiscal=' + @V_OLD_CDGRUPOFISC;
         END;

         IF @V_OLD_IDPERPROINAT IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PerProdInat=' + @V_OLD_IDPERPROINAT;
         END;

         IF @V_OLD_CDSERVBAIESTCEG IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ServBaiEstCego=' + @V_OLD_CDSERVBAIESTCEG;
         END;

         IF @V_OLD_IDINVESTCEGO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' InvEstCego=' + @V_OLD_IDINVESTCEGO;
         END;

         IF @V_OLD_CDTPRETBXESTCEG IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PretEstCego=' + @V_OLD_CDTPRETBXESTCEG;
         END;

         IF @V_OLD_IDCONDESBONFORN IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DescBoni=' + @V_OLD_IDCONDESBONFORN;
         END;

         IF @V_OLD_IDPARAMEMISREFI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ConsParEmisREFi=' + @V_OLD_IDPARAMEMISREFI;
         END;

         IF @V_OLD_IDBLOQCMPSAFFIL IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BloqNFCmpSemAFForn=' + @V_OLD_IDBLOQCMPSAFFIL;
         END;

         IF @V_OLD_IDUTBLOQOPAFPF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtiBloqTpOpeAf=' + @V_OLD_IDUTBLOQOPAFPF;
         END;

         IF @V_OLD_NRMAXDIAANTDTAF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NumMaxDiaAntImpoAF=' + @V_OLD_NRMAXDIAANTDTAF;
         END;

         IF @V_OLD_NRMAXDIAPOSDTAF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NumMaxDiaPosImpoAF=' + @V_OLD_NRMAXDIAPOSDTAF;
         END;

         IF @V_OLD_NRTAMNUMNFUTDFE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TamNumNfDfe=' + @V_OLD_NRTAMNUMNFUTDFE;
         END;

         IF @V_OLD_CDREDUCONTPAG IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NumContCorren=' +  @V_OLD_CDREDUCONTPAG;
         END;

         IF @V_OLD_CDTPBAIXAPAG IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TipoBaixa=' + @V_OLD_CDTPBAIXAPAG;
         END;

         IF @V_OLD_IDUTCTRLFIS IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtCtrFis=' + @V_OLD_IDUTCTRLFIS;
         END;

         IF @V_OLD_IDUTCTRLFISENTR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ContFiscalEnt=' + @V_OLD_IDUTCTRLFISENTR;
         END;

         IF @V_OLD_IDUTCTRLFISSAID IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ContFiscalSai=' + @V_OLD_IDUTCTRLFISSAID;
         END;

         IF @V_OLD_IDCANCEXTMPNFE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CancExTmp=' + @V_OLD_IDCANCEXTMPNFE;
         END;

         IF @V_OLD_IDUTLIBERANF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtLibNF=' + @V_OLD_IDUTLIBERANF;
         END;
         
         IF @V_OLD_IDBLOQESTNEG IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BloqFechMesEstNeg=' + @V_OLD_IDBLOQESTNEG;
         END;
         
         IF @V_OLD_IDBLOFERTNEV IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BloqFechDiaRetNEvol=' + @V_OLD_IDBLOFERTNEV;
         END;

         IF @V_OLD_IDBLFECHSNFE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BloqFechDiaNFSaiNEmit=' + @V_OLD_IDBLFECHSNFE;
         END;

         IF @V_OLD_IDBLOFECHMES IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BloqFechDiaSemRet=' + @V_OLD_IDBLOFECHMES;
         END;

         IF @V_OLD_IDCONSDIAUTFEC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ConsCalDiaNUtilFechDia=' + @V_OLD_IDCONSDIAUTFEC;
         END;     

         IF @V_OLD_IDENTRUNILOTE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' EntrUniLote='+ @V_OLD_IDENTRUNILOTE;
         END;

         IF @V_OLD_IDINFLOTFOREMI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdInfLotForEmi='+ @V_OLD_IDINFLOTFOREMI;
         END;

         IF @V_OLD_IDUTCDEXTPRONF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdUtCdExtProNF='+ @V_OLD_IDUTCDEXTPRONF;
         END;

         SET @V_TIPO = '3';
         SET @V_ITPESQ       = @V_OLD_CDFILIAL;
         SET @V_CDFILLOGOPER = @V_OLD_CDFILIAL;
      END
      ELSE BEGIN
         IF @V_ID_COMANDO= 'U' /*UPDATING*/ BEGIN
            IF (@V_OLD_DTPROCESSA   <> @V_NEW_DTPROCESSA)   OR
               (@V_OLD_IDCTRLESTQ   <> @V_NEW_IDCTRLESTQ)   OR
	            (@V_OLD_IDCONDESBONFORN <> @V_NEW_IDCONDESBONFORN)  OR
	            (@V_OLD_IDPARAMEMISREFI <> @V_NEW_IDPARAMEMISREFI)  OR
               (@V_OLD_IDESTONLINE  <> @V_NEW_IDESTONLINE)  OR
               (@V_OLD_IDUTBLOQOPAFPF <> @V_NEW_IDUTBLOQOPAFPF)    OR
               (@V_OLD_IDBLOQCMPSAFFIL <> @V_NEW_IDBLOQCMPSAFFIL)  OR
               (@V_OLD_NRMAXDIAANTDTAF <> @V_NEW_NRMAXDIAANTDTAF)  OR
               (@V_OLD_IDPERMESTNEG <> @V_NEW_IDPERMESTNEG) OR
               (@V_OLD_IDORDIMPLANT <> @V_NEW_IDORDIMPLANT) OR
               (@V_OLD_IDORDAJUINVE <> @V_NEW_IDORDAJUINVE) OR
               (@V_OLD_NRTAMNUMNFUTDFE <> @V_NEW_NRTAMNUMNFUTDFE) OR
	            (@V_OLD_IDTCUSNFROMA <> @V_NEW_IDTCUSNFROMA) OR
               (@V_OLD_IDUTILALMOX  <> @V_NEW_IDUTILALMOX)  OR
               (@V_OLD_IDUTILLCESTQ <> @V_NEW_IDUTILLCESTQ) OR
               (@V_OLD_IDUTILLOTE   <> @V_NEW_IDUTILLOTE)   OR
               (ISNULL(@V_OLD_CDTIPCUSTEST,'NULO') <> ISNULL(@V_NEW_CDTIPCUSTEST,'NULO')) OR
               (ISNULL(@V_OLD_NRTAMNUMNFUT,0) <> ISNULL(@V_NEW_NRTAMNUMNFUT,0)) OR
               (@V_OLD_IDUTILALLONF <> @V_NEW_IDUTILALLONF) OR
               (@V_OLD_DSPARFILFIS  <> @V_NEW_DSPARFILFIS)  OR
               (@V_OLD_IDPERFORNECO <> @V_NEW_IDPERFORNECO) OR
               (@V_OLD_CDFILIAL     <> @V_NEW_CDFILIAL)     OR
	            (ISNULL(@V_OLD_NRMAXDIAPOSDTAF,'!')<> ISNULL(@V_NEW_NRMAXDIAPOSDTAF,'!'))OR
               (ISNULL(@V_OLD_CDREDUCONTPAG,'!')  <> ISNULL(@V_NEW_CDREDUCONTPAG,'!'))  OR
               (ISNULL(@V_OLD_CDTPBAIXAPAG,'!') <> ISNULL(@V_NEW_CDTPBAIXAPAG,'!')) OR
               (ISNULL(@V_OLD_CDCONFORNFI,'!')  <> ISNULL(@V_NEW_CDCONFORNFI,'!'))  OR
               (ISNULL(@V_OLD_CDCONCLIEFI,'!')  <> ISNULL(@V_NEW_CDCONCLIEFI,'!'))  OR
               (ISNULL(@V_OLD_CDCONTDIFEFI,'!') <> ISNULL(@V_NEW_CDCONTDIFEFI,'!')) OR
               (ISNULL(@V_OLD_CDCTBLPERDFI,'!') <> ISNULL(@V_NEW_CDCTBLPERDFI,'!')) OR
               (ISNULL(@V_OLD_CDGRUPOFISC,'!') <> ISNULL(@V_NEW_CDGRUPOFISC,'!'))   OR
               (ISNULL(@V_OLD_IDENTRSEQLOTE,'!') <> ISNULL(@V_NEW_IDENTRSEQLOTE,'!')) OR
               (ISNULL(@V_OLD_IDENTRAUTLOTE,'!') <> ISNULL(@V_NEW_IDENTRAUTLOTE,'!')) OR
               (ISNULL(@V_OLD_CDSERVBAIESTCEG,'!') <> ISNULL(@V_NEW_CDSERVBAIESTCEG,'!')) OR
               (ISNULL(@V_OLD_IDINVESTCEGO,'!') <> ISNULL(@V_NEW_IDINVESTCEGO,'!')) OR
               (ISNULL(@V_OLD_CDTPRETBXESTCEG,'!') <> ISNULL(@V_NEW_CDTPRETBXESTCEG,'!')) OR
               (@V_OLD_IDUTCTRLFIS <> @V_NEW_IDUTCTRLFIS) OR
               (ISNULL(@V_OLD_IDUTCTRLFISENTR, '!') <> ISNULL(@V_NEW_IDUTCTRLFISENTR, '!')) OR
               (ISNULL(@V_OLD_IDUTCTRLFISSAID, '!') <> ISNULL(@V_NEW_IDUTCTRLFISSAID, '!')) OR
               (ISNULL(@V_OLD_IDCANCEXTMPNFE, '!')  <> ISNULL(@V_NEW_IDCANCEXTMPNFE, '!')) OR
               (ISNULL(@V_OLD_IDUTLIBERANF, '!')  <> ISNULL(@V_NEW_IDUTLIBERANF, '!')) OR
               (ISNULL(@V_OLD_IDBLOQESTNEG, '!') <> ISNULL(@V_NEW_IDBLOQESTNEG, '!')) OR
               (ISNULL(@V_OLD_IDBLOFERTNEV, '!') <> ISNULL(@V_NEW_IDBLOFERTNEV, '!')) OR
               (ISNULL(@V_OLD_IDBLFECHSNFE, '!') <> ISNULL(@V_NEW_IDBLFECHSNFE, '!')) OR
               (ISNULL(@V_OLD_IDBLOFECHMES, '!') <> ISNULL(@V_NEW_IDBLOFECHMES, '!')) OR   
               (ISNULL(@V_OLD_IDENTRUNILOTE, '!')   <> ISNULL(@V_NEW_IDENTRUNILOTE, '!')) OR
               (ISNULL(@V_OLD_IDCONSDIAUTFEC, '!') <> ISNULL(@V_NEW_IDCONSDIAUTFEC, '!')) OR
               (ISNULL(@V_OLD_IDINFLOTFOREMI, '!') <> ISNULL(@V_NEW_IDINFLOTFOREMI, '!')) OR
               (ISNULL(@V_OLD_IDUTCDEXTPRONF, '!') <> ISNULL(@V_NEW_IDUTCDEXTPRONF, '!'))BEGIN
               SET @V_TIPO         = '2';
               SET @V_ITPESQ       = @V_OLD_CDFILIAL;
               SET @V_CDFILLOGOPER = @V_OLD_CDFILIAL;
            END;
         END
         ELSE BEGIN
            IF @V_ID_COMANDO= 'I' /*INSERT*/ BEGIN
               SET @V_TIPO         = '1';
               SET @V_ITPESQ       = @V_NEW_CDFILIAL;
               SET @V_CDFILLOGOPER = @V_NEW_CDFILIAL;
            END;
         END;

         IF ISNULL(@V_OLD_DTPROCESSA,'') > ISNULL(@V_NEW_DTPROCESSA,'') BEGIN
            SET @V_DESC = @V_DESC + 'DtProc=' + CONVERT(VARCHAR, @V_OLD_DTPROCESSA, 103) + ' - ' +
            CONVERT(VARCHAR, @V_NEW_DTPROCESSA, 103) + ' - Voltou';
         END
         ELSE BEGIN
            IF ISNULL(@V_OLD_DTPROCESSA,'') <> ISNULL(@V_NEW_DTPROCESSA,'') BEGIN
               SET @V_DESC = @V_DESC + 'DtProc=' + CONVERT(VARCHAR, @V_OLD_DTPROCESSA, 103) + ' - ' +
	            CONVERT(VARCHAR, @V_NEW_DTPROCESSA, 103) + ' - Fechou Dia';
            END;
         END;

         IF ISNULL(@V_OLD_IDCTRLESTQ,'') <> ISNULL(@V_NEW_IDCTRLESTQ,'') BEGIN
            SET @V_DESC = @V_DESC + ' CtrEst=' + @V_NEW_IDCTRLESTQ;
         END;

         IF ISNULL(@V_OLD_IDESTONLINE,'') <> ISNULL(@V_NEW_IDESTONLINE,'') BEGIN
            SET @V_DESC = @V_DESC + ' EstOnL=' + @V_NEW_IDESTONLINE;
         END;

         IF ISNULL(@V_OLD_IDPERMESTNEG,'') <> ISNULL(@V_NEW_IDPERMESTNEG,'') BEGIN
            SET @V_DESC = @V_DESC + ' EstNeg=' +  @V_NEW_IDPERMESTNEG;
         END;

         IF ISNULL(@V_OLD_IDORDIMPLANT,'') <> ISNULL(@V_NEW_IDORDIMPLANT,'') BEGIN
            SET @V_DESC = @V_DESC + ' OrdImp=' + @V_NEW_IDORDIMPLANT;
         END;

         IF ISNULL(@V_OLD_IDORDAJUINVE,'') <> ISNULL(@V_NEW_IDORDAJUINVE,'') BEGIN
            SET @V_DESC = @V_DESC + ' OrdAju=' + @V_NEW_IDORDAJUINVE;
         END;

         IF ISNULL(@V_OLD_IDTCUSNFROMA,'') <> ISNULL(@V_NEW_IDTCUSNFROMA,'') BEGIN
            SET @V_DESC = @V_DESC + ' CustSa=' + @V_NEW_IDTCUSNFROMA;
         END;

         IF ISNULL(@V_OLD_IDUTILALMOX,'') <> ISNULL(@V_NEW_IDUTILALMOX,'') BEGIN
            SET @V_DESC = @V_DESC + ' UtAlmo=' + @V_NEW_IDUTILALMOX;
         END;

         IF ISNULL(@V_OLD_IDUTILLCESTQ,'') <> ISNULL(@V_NEW_IDUTILLCESTQ,'') BEGIN
            SET @V_DESC = @V_DESC + ' UtLoca=' + @V_NEW_IDUTILLCESTQ;
         END;

         IF ISNULL(@V_OLD_IDUTILLOTE,'') <> ISNULL(@V_NEW_IDUTILLOTE,'') BEGIN
            SET @V_DESC = @V_DESC + ' UtLote=' + @V_NEW_IDUTILLOTE;
         END;

         IF ISNULL(@V_OLD_CDTIPCUSTEST,'NULO') <> ISNULL(@V_NEW_CDTIPCUSTEST,'NULO') BEGIN
            SET @V_DESC = @V_DESC + ' TipoCustEst=' + ISNULL(@V_NEW_CDTIPCUSTEST,'NULO');
         END;

         IF ISNULL(@V_OLD_NRTAMNUMNFUT,0) <> ISNULL(@V_NEW_NRTAMNUMNFUT,0) BEGIN
            SET @V_DESC = @V_DESC + ' TamNumNF=' + CONVERT(VARCHAR, @V_NEW_NRTAMNUMNFUT);
         END;

         IF ISNULL(@V_OLD_IDUTILALLONF,'') <> ISNULL(@V_NEW_IDUTILALLONF,'') BEGIN
            SET @V_DESC = @V_DESC + ' UtilAlLocNF=' + @V_NEW_IDUTILALLONF;
         END;

         IF ISNULL(SUBSTRING(@V_OLD_DSPARFILFIS,2,1),'') <> ISNULL(SUBSTRING(@V_NEW_DSPARFILFIS,2,1),'') BEGIN
            SET @V_DESC = @V_DESC + ' BloqNFCmpSemAFFili=' + SUBSTRING(@V_NEW_DSPARFILFIS,2,1);
         END;

         IF ISNULL(SUBSTRING(@V_OLD_DSPARFILFIS,1,1),'') <> ISNULL(SUBSTRING(@V_NEW_DSPARFILFIS,1,1),'') BEGIN
            SET @V_DESC = @V_DESC + ' VerProdDifAF=' + SUBSTRING(@V_NEW_DSPARFILFIS,1,1);
         END;

         IF ISNULL(@V_OLD_IDPERFORNECO,'') <> ISNULL(@V_NEW_IDPERFORNECO,'') BEGIN
            SET @V_DESC = @V_DESC + ' PerESCmpCot=' + @V_NEW_IDPERFORNECO;
         END;

         IF ISNULL(SUBSTRING(@V_NEW_DSPARFILFIS,1,2),'') <> ISNULL(SUBSTRING(@V_NEW_DSPARFILFIS,1,2),'') BEGIN
            SET @V_DESC = @V_DESC + ' VerPrAF_BloqNF=' + SUBSTRING(@V_NEW_DSPARFILFIS,1,2);
         END;

         IF ISNULL(@V_OLD_CDCONFORNFI,'!') <> ISNULL(@V_NEW_CDCONFORNFI,'!') BEGIN
            SET @V_DESC = @V_DESC + ' Fornecedor=' + @V_NEW_CDCONFORNFI;
         END;

         IF ISNULL(@V_OLD_CDCONCLIEFI,'!') <> ISNULL(@V_NEW_CDCONCLIEFI,'!') BEGIN
            SET @V_DESC = @V_DESC + ' Cliente=' + @V_NEW_CDCONCLIEFI;
         END;

         IF ISNULL(@V_OLD_CDCONTDIFEFI,'!') <> ISNULL(@V_NEW_CDCONTDIFEFI,'!') BEGIN
            SET @V_DESC = @V_DESC + ' VendDif=' + @V_NEW_CDCONTDIFEFI;
         END;

         IF ISNULL(@V_OLD_CDCTBLPERDFI,'!') <> ISNULL(@V_NEW_CDCTBLPERDFI,'!') BEGIN
            SET @V_DESC = @V_DESC + ' LucPer=' + @V_NEW_CDCTBLPERDFI;
         END;

         IF ISNULL(@V_OLD_CDGRUPOFISC,'!') <> ISNULL(@V_NEW_CDGRUPOFISC,'!') BEGIN
            SET @V_DESC = @V_DESC + ' GrupoFiscal=' + @V_NEW_CDGRUPOFISC;
         END;

         IF ISNULL(@V_OLD_IDPERPROINAT,'!') <> ISNULL(@V_NEW_IDPERPROINAT,'!') BEGIN
            SET @V_DESC = @V_DESC + ' PerProdInat=' + @V_NEW_IDPERPROINAT;
         END;

         IF ISNULL(@V_NEW_IDENTRSEQLOTE,'!') <> ISNULL(@V_OLD_IDENTRSEQLOTE,'!') BEGIN
            SET @V_DESC = @V_DESC + ' EntrSeqLote=' + @V_NEW_IDENTRSEQLOTE;
         END;

         IF ISNULL(@V_OLD_IDENTRAUTLOTE,'!') <> ISNULL(@V_NEW_IDENTRAUTLOTE,'!') BEGIN
            SET @V_DESC = @V_DESC + ' AutEutLote=' + @V_NEW_IDENTRAUTLOTE;
         END;

         IF ISNULL(@V_OLD_CDSERVBAIESTCEG,'!') <> ISNULL(@V_NEW_CDSERVBAIESTCEG,'!') BEGIN
            SET @V_DESC = @V_DESC + ' ServBaixaEstCego=' + @V_NEW_CDSERVBAIESTCEG;
         END;

         IF ISNULL(@V_NEW_IDINVESTCEGO,'!') <> ISNULL(@V_OLD_IDINVESTCEGO,'!') BEGIN
            SET @V_DESC = @V_DESC + ' IdInvEstCego=' + @V_NEW_IDINVESTCEGO;
         END;

         IF ISNULL(@V_OLD_CDTPRETBXESTCEG,'!') <> ISNULL(@V_NEW_CDTPRETBXESTCEG,'!') BEGIN
            SET @V_DESC = @V_DESC + ' CodRetiEstCego=' + @V_NEW_CDTPRETBXESTCEG;
         END;

         IF ISNULL(@V_OLD_IDCONDESBONFORN,'!') <> ISNULL(@V_NEW_IDCONDESBONFORN,'!') BEGIN
            SET @V_DESC = @V_DESC + ' DescBoni=' + @V_NEW_IDCONDESBONFORN;
         END;

         IF ISNULL(@V_OLD_IDPARAMEMISREFI,'!') <> ISNULL(@V_NEW_IDPARAMEMISREFI,'!') BEGIN
            SET @V_DESC = @V_DESC + ' ConsParEmisREFi=' + @V_NEW_IDPARAMEMISREFI;
         END;

         IF ISNULL(@V_OLD_IDUTBLOQOPAFPF,'!') <> ISNULL(@V_NEW_IDUTBLOQOPAFPF,'!') BEGIN
            SET @V_DESC = @V_DESC + ' UtiBloqTpOpeAf=' + @V_NEW_IDUTBLOQOPAFPF;
         END;

         IF ISNULL(@V_OLD_IDBLOQCMPSAFFIL,'!') <> ISNULL(@V_NEW_IDBLOQCMPSAFFIL,'!') BEGIN
            SET @V_DESC = @V_DESC + ' BloqNFCmpSemAFForn=' + @V_NEW_IDBLOQCMPSAFFIL;
         END;

         IF ISNULL(@V_OLD_NRMAXDIAANTDTAF,'!') <> ISNULL(@V_NEW_NRMAXDIAANTDTAF,'!') BEGIN
            SET @V_DESC = @V_DESC + ' NumMaxDiaAntImpoAF=' + @V_NEW_NRMAXDIAANTDTAF;
         END;
         IF ISNULL (@V_OLD_NRTAMNUMNFUTDFE, '!') <> ISNULL (@V_NEW_NRTAMNUMNFUTDFE,'!')BEGIN
            SET @V_DESC = @V_DESC + ' TamNumNfDfe=' + @V_NEW_NRTAMNUMNFUTDFE;
         END;
         IF ISNULL(@V_OLD_NRMAXDIAPOSDTAF,'') <> ISNULL(@V_NEW_NRMAXDIAPOSDTAF,'') BEGIN
            SET @V_DESC = @V_DESC + ' NumMaxDiaPosImpoAF=' + @V_NEW_NRMAXDIAPOSDTAF;
         END;
         IF ISNULL(@V_OLD_CDREDUCONTPAG,'') <> ISNULL(@V_NEW_CDREDUCONTPAG,'') BEGIN
            SET @V_DESC = @V_DESC + ' NumContCorren=' + @V_NEW_CDREDUCONTPAG;
         END;
         IF ISNULL(@V_OLD_CDTPBAIXAPAG,'') <> ISNULL(@V_NEW_CDTPBAIXAPAG,'') BEGIN
            SET @V_DESC = @V_DESC + ' TipoBaixa=' + @V_NEW_CDTPBAIXAPAG;
         END;

         IF ISNULL(@V_OLD_IDUTCTRLFIS,'') <> ISNULL(@V_NEW_IDUTCTRLFIS,'') BEGIN
	         SET @V_DESC = @V_DESC + ' UtCtrFis=' + @V_NEW_IDUTCTRLFIS
         END;

         IF ISNULL(@V_OLD_IDUTCTRLFISENTR, '!') <> ISNULL(@V_NEW_IDUTCTRLFISENTR, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ContFiscalEnt=' + @V_NEW_IDUTCTRLFISENTR;
         END;

         IF ISNULL(@V_OLD_IDUTCTRLFISSAID, '!') <> ISNULL(@V_NEW_IDUTCTRLFISSAID, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ContFiscalSai=' + @V_NEW_IDUTCTRLFISSAID;
         END;

         IF ISNULL(@V_OLD_IDCANCEXTMPNFE, '!') <> ISNULL(@V_NEW_IDCANCEXTMPNFE, '!') BEGIN
            SET @V_DESC = @V_DESC + ' CancExTmp=' + @V_NEW_IDCANCEXTMPNFE;
         END;

         IF ISNULL(@V_OLD_IDUTLIBERANF, '!') <> ISNULL(@V_NEW_IDUTLIBERANF, '!') BEGIN
            SET @V_DESC = @V_DESC + ' UtLibNF=' + @V_NEW_IDUTLIBERANF;
         END;
         
         IF ISNULL(@V_OLD_IDBLOQESTNEG, '!') <> ISNULL(@V_NEW_IDBLOQESTNEG, '!') BEGIN
            SET @V_DESC = @V_DESC + ' BloqFechMesEstNeg=' + @V_NEW_IDBLOQESTNEG;
         END;
         
         IF ISNULL(@V_OLD_IDBLOFERTNEV, '!') <> ISNULL(@V_NEW_IDBLOFERTNEV, '!') BEGIN
            SET @V_DESC = @V_DESC + ' BloqFechDiaRetNEvol=' + @V_NEW_IDBLOFERTNEV;
         END;
         
         IF ISNULL(@V_OLD_IDBLFECHSNFE, '!') <> ISNULL(@V_NEW_IDBLFECHSNFE, '!') BEGIN
            SET @V_DESC = @V_DESC + ' BloqFechDiaNFSaiNEmit=' + @V_NEW_IDBLFECHSNFE;
         END;
         
         IF ISNULL(@V_OLD_IDBLOFECHMES, '!') <> ISNULL(@V_NEW_IDBLOFECHMES, '!') BEGIN
            SET @V_DESC = @V_DESC + ' BloqFechDiaSemRet=' + @V_NEW_IDBLOFECHMES;
         END;
         
         IF ISNULL(@V_OLD_IDCONSDIAUTFEC, '!') <> ISNULL(@V_NEW_IDCONSDIAUTFEC, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ConsCalDiaNUtilFechDia=' + @V_NEW_IDCONSDIAUTFEC;
         END;                

         IF ISNULL(@V_OLD_IDENTRUNILOTE, '!') <> ISNULL(@V_NEW_IDENTRUNILOTE, '!') BEGIN
            SET @V_DESC = @V_DESC + ' EntrUniLote=' + @V_NEW_IDENTRUNILOTE;
         END;

         IF ISNULL(@V_OLD_IDINFLOTFOREMI, '!') <> ISNULL(@V_NEW_IDINFLOTFOREMI, '!') BEGIN
            SET @V_DESC = @V_DESC + ' IdInfLotForEmi=' + @V_NEW_IDINFLOTFOREMI;
         END;

         IF ISNULL(@V_OLD_IDUTCDEXTPRONF, '!') <> ISNULL(@V_NEW_IDUTCDEXTPRONF, '!') BEGIN
            SET @V_DESC = @V_DESC + ' IdUtCdExtProNF=' + @V_NEW_IDUTCDEXTPRONF;
         END;
      END;

      IF @V_TIPO <> '0' BEGIN
         IF NOT @V_DESC IS NULL BEGIN
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER = GETDATE();
               INSERT INTO LOGOPERA
                  (NMTABELA,   DTOPERACAO, NMRESPOPER,
                   IDTIPOOPER, CDPESQITEM, DSOPERACAO, CDFILLOGOPER,
                   DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
               VALUES
                  ('PARAMFILIAL',  @V_DTOPER, @V_USUARIO,
                   @V_TIPO,         @V_ITPESQ, SUBSTRING(@V_DESC, 1, 700), @V_CDFILLOGOPER,
                   @V_DSREMOTEADDR, @V_DSREMOTEHOST, @V_DSSERVERRDM,
                   @V_DSSERVMETHOD, @V_DSREMOTEOPER);
            END;
         END;
      END;

   FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                 @V_OLD_DTPROCESSA,
                                 @V_OLD_IDCTRLESTQ,
                                 @V_OLD_IDESTONLINE,
                                 @V_OLD_IDPERMESTNEG,
                                 @V_OLD_IDORDIMPLANT,
                                 @V_OLD_IDORDAJUINVE,
                                 @V_OLD_IDTCUSNFROMA,
                                 @V_OLD_IDUTILALMOX,
                                 @V_OLD_IDUTILLCESTQ,
                                 @V_OLD_IDUTILLOTE,
                                 @V_OLD_CDTIPCUSTEST,
                                 @V_OLD_NRTAMNUMNFUT,
                                 @V_OLD_IDUTILALLONF,
                                 @V_OLD_DSPARFILFIS,
                                 @V_OLD_IDPERFORNECO,
                                 @V_OLD_CDFILIAL,
                                 @V_OLD_CDCONFORNFI,
                                 @V_OLD_CDCONCLIEFI,
                                 @V_OLD_CDCONTDIFEFI,
                                 @V_OLD_CDCTBLPERDFI,
                                 @V_OLD_CDGRUPOFISC,
                                 @V_OLD_IDPERPROINAT,
                                 @V_OLD_IDENTRSEQLOTE,
                                 @V_OLD_IDENTRAUTLOTE,
                                 @V_OLD_CDSERVBAIESTCEG,
                                 @V_OLD_IDINVESTCEGO,
                                 @V_OLD_CDTPRETBXESTCEG,
                                 @V_OLD_IDCONDESBONFORN,
                                 @V_OLD_IDPARAMEMISREFI,
                                 @V_OLD_IDUTBLOQOPAFPF,
                                 @V_OLD_IDBLOQCMPSAFFIL,
                                 @V_OLD_NRMAXDIAANTDTAF,
                                 @V_OLD_NRTAMNUMNFUTDFE,
                                 @V_OLD_NRMAXDIAPOSDTAF,
                                 @V_OLD_CDREDUCONTPAG,
                                 @V_OLD_CDTPBAIXAPAG,
                                 @V_OLD_IDUTCTRLFIS,
                                 @V_OLD_IDUTCTRLFISENTR,
                                 @V_OLD_IDUTCTRLFISSAID,
                                 @V_OLD_IDCANCEXTMPNFE,
                                 @V_OLD_IDUTLIBERANF,
                                 @V_OLD_IDBLOQESTNEG,
                                 @V_OLD_IDBLOFERTNEV,
                                 @V_OLD_IDBLFECHSNFE,
                                 @V_OLD_IDBLOFECHMES,
                                 @V_OLD_IDCONSDIAUTFEC,
                                 @V_OLD_IDENTRUNILOTE,
                                 @V_OLD_IDINFLOTFOREMI,
                                 @V_OLD_IDUTCDEXTPRONF,
                                 @V_NEW_DTPROCESSA,
                                 @V_NEW_IDCTRLESTQ,
                                 @V_NEW_IDESTONLINE,
                                 @V_NEW_IDPERMESTNEG,
                                 @V_NEW_IDORDIMPLANT,
                                 @V_NEW_IDORDAJUINVE,
                                 @V_NEW_IDTCUSNFROMA,
                                 @V_NEW_IDUTILALMOX,
                                 @V_NEW_IDUTILLCESTQ,
                                 @V_NEW_IDUTILLOTE,
                                 @V_NEW_CDTIPCUSTEST,
                                 @V_NEW_NRTAMNUMNFUT,
                                 @V_NEW_IDUTILALLONF,
                                 @V_NEW_DSPARFILFIS,
                                 @V_NEW_IDPERFORNECO,
                                 @V_NEW_CDFILIAL,
                                 @V_NEW_CDCONFORNFI,
                                 @V_NEW_CDCONCLIEFI,
                                 @V_NEW_CDCONTDIFEFI,
                                 @V_NEW_CDCTBLPERDFI,
                                 @V_NEW_CDGRUPOFISC,
                                 @V_NEW_IDPERPROINAT,
                                 @V_NEW_IDENTRSEQLOTE,
                                 @V_NEW_IDENTRAUTLOTE,
                                 @V_NEW_CDSERVBAIESTCEG,
                                 @V_NEW_IDINVESTCEGO,
                                 @V_NEW_CDTPRETBXESTCEG,
                                 @V_NEW_IDCONDESBONFORN,
                                 @V_NEW_IDPARAMEMISREFI,
                                 @V_NEW_IDUTBLOQOPAFPF,
                                 @V_NEW_IDBLOQCMPSAFFIL,
                                 @V_NEW_NRMAXDIAANTDTAF,
                                 @V_NEW_NRTAMNUMNFUTDFE,
                                 @V_NEW_NRMAXDIAPOSDTAF,
                                 @V_NEW_CDREDUCONTPAG,
                                 @V_NEW_CDTPBAIXAPAG,
                                 @V_NEW_IDUTCTRLFIS,
                                 @V_NEW_IDUTCTRLFISENTR,
                                 @V_NEW_IDUTCTRLFISSAID,
                                 @V_NEW_IDCANCEXTMPNFE,
                                 @V_NEW_IDUTLIBERANF,
                                 @V_NEW_IDBLOQESTNEG,
                                 @V_NEW_IDBLOFERTNEV,
                                 @V_NEW_IDBLFECHSNFE,
                                 @V_NEW_IDBLOFECHMES,
                                 @V_NEW_IDCONSDIAUTFEC,
                                 @V_NEW_IDENTRUNILOTE,
                                 @V_NEW_IDINFLOTFOREMI,
                                 @V_NEW_IDUTCDEXTPRONF;
   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_EST_PARAMFILIAL','6.10.xxx';
GO

